Docs
Search the docs
Find a page in the docs

API reference

List exchange rates

Get the cached exchange rates against a base currency.

GET /v1/fx/rates

Each rate is the units of currency per one unit of base, as a decimal string.

Query parameters

base string
Three-letter ISO code. Defaults to USD.

Request

curl https://api.camelpayment.com/v1/fx/rates?base=USD \
  -H "Authorization: Bearer $CAMEL_API_KEY"

Response

200
{
  "object": "list",
  "base": "USD",
  "data": [
    {
      "currency": "ARS",
      "rate": "1540.0000000000",
      "as_of": "2026-11-12T15:00:00Z"
    }
  ]
}

Errors

StatusWhen
401 The API key is missing, malformed, or revoked.
422 The base currency is not supported.
429 Too many requests. Wait for Retry-After seconds.